Bug 819626 - [RFE] Report client/server API incompatibility in ipa-client-install
[RFE] Report client/server API incompatibility in ipa-client-install
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
IDM QE LIST
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 15:05 EDT by Rob Crittenden
Modified: 2015-01-16 09:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-16 09:12:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2012-05-07 15:05:05 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2710

Ticket #2697 reports server/client incompatibility in a case of 2.2 client and an older server, but we should implement a more generic approach to check client/server API incompatibility.

A simple run of "user-show admin" command should get us the information we need so that we can warn user (we already do "getent admin" to test SSSD).
Comment 2 Martin Kosek 2015-01-16 09:12:00 EST
This bug is not valid, FreeIPA client identity, authentication or authorization services are working even with older/newer FreeIPA servers.

It is the "ipa" command that may fail (which is not purpose of this bug report) due to expected incompatibility:
http://www.freeipa.org/page/Client#Compatibility

I am thus closing this request. If ipa-client-install still fails, please feel free to reopen it.

Note You need to log in before you can comment on or make changes to this bug.